<?php 
// +-----------------------------------------------------------------------+
// | Stereo - a Piwigo Plugin                                              |
// +-----------------------------------------------------------------------+
// | Copyright(C) 2010 philippe Brangier                                   |
// +-----------------------------------------------------------------------+
// | This program is free software; you can redistribute it and/or modify  |
// | it under the terms of the GNU General Public License as published by  |
// | the Free Software Foundation                                          |
// |                                                                       |
// | This program is distributed in the hope that it will be useful, but   |
// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
// | General Public License for more details.                              |
// |                                                                       |
// | You should have received a copy of the GNU General Public License     |
// | along with this program; if not, write to the Free Software           |
// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
// | USA.                                                                  |
// +-----------------------------------------------------------------------+
if (!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');
add_event_handler('render_element_content', 'Stereo_change_picture', 40, 2 );

global $conf;
if ( !isset($conf['Stereo ext']) )
  { $conf['Stereo ext'] = 'jps'; }
if ( !isset($conf['Stereo menuheight']) )
  { $conf['Stereo menuheight'] = '20'; }
if ( !isset($conf['Stereo containerheight']) )
  { $conf['Stereo containerheight'] = '700'; }
if ( !isset($conf['Stereo allowFullScreen']) )
  { $conf['Stereo allowFullScreen'] = 'true'; } 
  // if 'Stereo fixedwidth' is set to something else than 'false' 
  // the display size will be that size
if ( !isset($conf['Stereo fixedwidth']) )
  { $conf['Stereo fixedwidth'] = 'false'; } 
  // add our extension in the global config
$conf['file_ext'] = array_merge($conf['file_ext'],(array)$conf['Stereo ext']);
$conf['picture_ext'] = array_merge($conf['picture_ext'],(array)$conf['Stereo ext']);
  
function Stereo_change_picture($content, $image)
{
  global $conf, $template, $page;
  
  //
  $extension = strtolower(get_extension($image['file']));
  if ($extension !== $conf['Stereo ext'])
    { return $content; }
  if (!isset($image['image_url']) or !empty($content))
  { // nothing to do or someone hooked us - so we skip;
    return $content;
  }

  $template->set_filenames(
    array('stereo_content' => dirname(__FILE__) . '/content.tpl') );
 
  // compute display size
  $conf['Stereo containerheight'] =  $image['height'] + $conf['Stereo menuheight'];
  if ( $conf['Stereo fixedwidth'] === 'false' ) { 
    $containerwidth = $image['width'];
  }
  else {
	$containerwidth = $conf['Stereo fixedwidth']; 
  }

  
  // is high def available ?   if ( !isset($page['slideshow']) and isset($image['high_url']) )
  if ( !$page['slideshow'] and isset($image['high_url']) )
  {
    $uuid = uniqid(rand());
    $template->assign(
      'high',
      array(
        'U_HIGH' => $image['high_url'],
        'UUID'   => $uuid,
        )
      );
  }
 $template->assign( 
    array(
      'PHPWG_ROOT_PATH' => PHPWG_ROOT_PATH, 
      'STEREO_PATH' => STEREO_PATH, 
      'SRC_IMG'     => $image['element_url'],
      'containerwidth' => $containerwidth,
      'containerheight' => $conf['Stereo containerheight'],
      'allowFullScreen' => $conf['Stereo allowFullScreen'],
    )
  );

  load_language('plugin.lang', dirname(__FILE__).'/');
  
  return $template->parse('stereo_content', true);
} 
?>